Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Layoutable

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  ConnectionFigure, CustomConnection, CustomDecoration, CustomFigure, DecorationFigure, Ellipse, Figure, FigureMarker, FigureRef, Label, LabeledContainer, Polygon, PolygonDecoration, Polyline, PolylineConnection, PolylineDecoration, Rectangle, RoundedRectangle, Shape

All Known Implementing Classes:
  CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl, EllipseImpl, FigureRefImpl, LabeledContainerImpl, LabelImpl, PolygonDecorationImpl, PolygonImpl, PolylineConnectionImpl, PolylineDecorationImpl, PolylineImpl, RectangleImpl, RoundedRectangleImpl, ShapeImpl

public interface Layoutable
extends EObject

A representation of the model object 'Layoutable'.

The following features are supported:

- `Layout Data`
- `Layout`

See Also:
  `GMFGraphPackage.getLayoutable()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`Layout` `getLayout()` Returns the value of the 'Layout' containment reference
`LayoutData` `getLayoutData()` Returns the value of the 'Layout Data' containment reference.
`void` `setLayout(Layout value)` Sets the value of the '`Layout`' containment reference
`void` `setLayoutData(LayoutData value)` Sets the value of the '`Layout Data`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLayoutData

    public LayoutData getLayoutData()

  Returns the value of the 'Layout Data' containment reference. It is bidirectional and its opposite is '`Owner`'.

  If the meaning of the 'Layout Data' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Layout Data' containment reference.
  See Also:
    `Layoutable.setLayoutData(LayoutData)`, `GMFGraphPackage.getLayoutable_LayoutData()`, `LayoutData.getOwner()`
  ** Generated **
  Model:
    opposite="owner" containment="true"

### setLayoutData

    public void setLayoutData(LayoutData value)

  Sets the value of the '`Layout Data`' containment reference.

  Parameters:
    `value` - the new value of the 'Layout Data' containment reference.
  See Also:
    `Layoutable.getLayoutData()`
  ** Generated **

### getLayout

    public Layout getLayout()

  Returns the value of the 'Layout' containment reference.

  If the meaning of the 'Layout' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Layout' containment reference.
  See Also:
    `Layoutable.setLayout(Layout)`, `GMFGraphPackage.getLayoutable_Layout()`
  ** Generated **
  Model:
    containment="true"

### setLayout

    public void setLayout(Layout value)

  Sets the value of the '`Layout`' containment reference.

  Parameters:
    `value` - the new value of the 'Layout' containment reference.
  See Also:
    `Layoutable.getLayout()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.